# Type alias RequestListener<Request, Response>

RequestListener<Request, Response>: ((req, res) => void)

#### Type Parameters

- Request extends typeof IncomingMessage = typeof IncomingMessage
- Response extends typeof ServerResponse = typeof ServerResponse

#### Type declaration

- - (req, res): void

  - #### Parameters

    - req: InstanceType<Request>
    - res: InstanceType<Response> & {
      req: InstanceType<Request>;
      }

    #### Returns void

- Defined in node_modules/@types/node/http.d.ts:316